[MLton-commit] r4129

Stephen Weeks MLton@mlton.org
Wed, 2 Nov 2005 09:35:24 -0800


A not-yet-entirely-working script to make a pdf guide from the wiki.

----------------------------------------------------------------------

A   mlton/trunk/bin/make-pdf-guide

----------------------------------------------------------------------

Added: mlton/trunk/bin/make-pdf-guide
===================================================================
--- mlton/trunk/bin/make-pdf-guide	2005-11-02 15:01:11 UTC (rev 4128)
+++ mlton/trunk/bin/make-pdf-guide	2005-11-02 17:35:21 UTC (rev 4129)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+set -x
+
+name=`basename $0`
+dir=`dirname $0`
+src=`cd $dir/.. && pwd`
+
+die () {
+        echo >&2 "$1"
+        exit 1
+}
+
+usage () {
+        die "usage: $name"
+}
+
+case "$#" in
+0)
+;;
+*)
+	usage
+;;
+esac
+
+tmp='/tmp/guide'
+rm -rf $tmp
+mkdir $tmp
+
+( cd $src/doc/guide && tar -cf - . ) | ( cd $tmp && tar -xf - )
+yes | time html2ps -DHnRtTU -C fb -W bL http://localhost/guide/ >guide.ps 2>/tmp/z.log
+ps2pdf guide.ps


Property changes on: mlton/trunk/bin/make-pdf-guide
___________________________________________________________________
Name: svn:executable
   + *